Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008403 [DCSS] Bug Report major always 2014-04-21 14:02 2019-01-16 08:35
Reporter Curio View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008403: Inventory second page is stuck
Description On my character i have 48/50 inventory slots filled. I step over a pile of junk with 13 items in it according to log (visually I can see only 12). When i turn on second page of inventory (presumably to see 13th item) there's nothing there and inventory gets stuck in such state. Only total game restart helps.

To recreate: Load my save, move 1 tile upward.
Additional Information
Tags No tags attached.
Attached Files ? file icon Silent.cs [^] (710,915 bytes) 2014-04-21 14:02
? file icon Screenshot.bmp [^] (2,376,342 bytes) 2014-04-21 14:05
? file icon 0001-Fix-inventory-panel-in-tiles-mode.patch [^] (12,840 bytes) 2014-04-28 06:23 [Show Content]

- Relationships

-  Notes
(0025871)
blackcustard (reporter)
2014-04-21 16:41

I can reproduce this, and I see how the previous page button is getting disabled. I can also get segfaults out of it ... not sure how that's happening.

I'll look at this more when I get home, so unless someone else is dying to take over, consider this ticket owned?
(0025933)
blackcustard (reporter)
2014-04-28 06:24
edited on: 2014-04-28 06:26

Fixed. Additionally, I discovered that the inventory panel was sometimes hiding items under its previous/next page buttons, and doing some generally quirky things. I fixed this as well.

I did not actually chase down the segfault, probably it was somehow related and got fixed along the way, or maybe I was confused ... I was sort of in a rush when I typed that comment, and I only saw it once.

(0030260)
PleasingFungus (administrator)
2016-03-01 00:12

I believe this is fixed by 47fe746b91e and the next few commits. (Would've saved me a lot of work if I'd known about the patch on this ticket.......)

- Issue History
Date Modified Username Field Change
2014-04-21 14:02 Curio New Issue
2014-04-21 14:02 Curio File Added: Silent.cs
2014-04-21 14:05 Curio File Added: Screenshot.bmp
2014-04-21 16:41 blackcustard Note Added: 0025871
2014-04-21 16:41 blackcustard Issue Monitored: blackcustard
2014-04-28 06:23 blackcustard File Added: 0001-Fix-inventory-panel-in-tiles-mode.patch
2014-04-28 06:24 blackcustard Note Added: 0025933
2014-04-28 06:26 blackcustard Note Edited: 0025933
2014-04-28 06:26 blackcustard Note Edited: 0025933
2016-03-01 00:12 PleasingFungus Note Added: 0030260
2016-03-01 00:12 PleasingFungus Status new => resolved
2016-03-01 00:12 PleasingFungus Fixed in Branch => 0.18 development branch
2016-03-01 00:12 PleasingFungus Resolution open => done
2016-03-01 00:12 PleasingFungus Assigned To => PleasingFungus
2019-01-16 08:34 Curio Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker